import { request } from 'umi';
import { stringify } from 'qs';
//获取图形验证码
export async function getImageVerifyCode(params: any) {
  return request(`/api-common/v1/login/getImageVerifyCode`, {
    method: 'POST',
    data: params
  })
}
//获取短信验证码
export async function sendH5SmsCode(params: any) {
  return request(`/api-common/v1/login/sendH5SmsCode`, {
    method: 'POST',
    data: params,
    requestType: 'form'
  })
}
//验证码登录
export async function h5BySmsCodeLogin(params: any) {
  return request(`/api-common/v1/login/h5BySmsCodeLogin`, {
    method: 'POST',
    data: params,
    requestType: 'form'
  })
}
//查询用户
export async function getUserByUserNoOrNiceNo(params: any) {
  return request(`/api-app/v1/user/getUserByUserNoOrNiceNo?${stringify(params)}`);
}

export type authType = {
  userId: string;
}
/**
 * 查询用户是否实名
 */
export async function getUserIsAuth(params: authType) {
  return request('/api-common/v1/login/getUserIsAuth', {
    method: 'POST',
    data: params,
    requestType: 'form'
  })
}